Bug 4954 - Script error during saned installation
: Script error during saned installation
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-26 14:09 MSK by Denis Silakov
Modified: 2015-01-29 19:22 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-01-26 14:09:19 MSK
<...>

   8/9: saned                 ###################################################################################################################
Failed to issue method call: Unit saned.service failed to load: No such file or directory.
ERROR: 'script' failed for saned-1.0.24-6-rosa2014.1.x86_64: 
error: %post(saned-1.0.24-6.x86_64) scriptlet failed, exit status 6

<...>

This is caused by the fact that saned is implemented as xinetd service, not as a usual systemd one.
Comment 1 Denis Silakov 2015-01-26 14:10:08 MSK
Advisory:
Fix saned postscripts to avoid error during package installation and update.

Build lists:
https://abf.io/build_lists/2394719
https://abf.io/build_lists/2394718
Comment 2 Denis Silakov 2015-01-27 10:42:31 MSK
Wait a little, I've found a potential problem with that build lists.
Comment 3 Denis Silakov 2015-01-27 18:33:56 MSK
Advisory:
Fix saned postscripts to avoid error during package installation and update.

Build lists:
https://abf.io/build_lists/2395272
https://abf.io/build_lists/2395273
Comment 4 FirstLevel 2015-01-28 12:38:02 MSK
(In reply to comment #3)
> Advisory:
> Fix saned postscripts to avoid error during package installation and update.
> 
> Build lists:
> https://abf.io/build_lists/2395272
> https://abf.io/build_lists/2395273

32bit
------------------
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «tst»)
 libsane1                       1.0.24       7             rosa  2014.1 i586 
 sane-backends                  1.0.24       7             rosa  2014.1 i586 
 saned                          1.0.24       7             rosa  2014.1 i586 
Будет использовано 0Б дополнительного дискового пространства.
Будет загружено 2.6МБ пакетов.
Установить 3 пакетов? (Y/n) y


    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395272/i586/main/release/saned-1.0.24-7-rosa2014.1.i586.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395272/i586/main/release/libsane1-1.0.24-7-rosa2014.1.i586.rpm                           
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395272/i586/main/release/sane-backends-1.0.24-7-rosa2014.1.i586.rpm                      
устанавливается saned-1.0.24-7-rosa2014.1.i586.rpm libsane1-1.0.24-7-rosa2014.1.i586.rpm sane-backends-1.0.24-7-rosa2014.1.i586.rpm из /var/cache/urpmi/rpms
Подготовка...                    ###################################################################################################################
      1/3: libsane1              ###################################################################################################################
      2/3: sane-backends         ###################################################################################################################
useradd: пользователь «saned» уже существует
      3/3: saned                 ###################################################################################################################
      1/3: удаляется saned-1.0.24-6.i586
                                 ###################################################################################################################
      2/3: удаляется sane-backends-1.0.24-6.i586
                                 ###################################################################################################################
      3/3: удаляется libsane1-1.0.24-6.i586
                                 ###################################################################################################################
[root@r5-32 ~]# 

------------------
Comment 5 FirstLevel 2015-01-28 12:40:03 MSK
64bit


Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «tst»)
 lib64sane1                     1.0.24       7             rosa  2014.1 x86_64 
 sane-backends                  1.0.24       7             rosa  2014.1 x86_64 
 saned                          1.0.24       7             rosa  2014.1 x86_64 
Будет использовано 0Б дополнительного дискового пространства.
Будет загружено 2.5МБ пакетов.
Установить 3 пакетов? (Y/n) y


    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395273/x86_64/main/release/lib64sane1-1.0.24-7-rosa2014.1.x86_64.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395273/x86_64/main/release/sane-backends-1.0.24-7-rosa2014.1.x86_64.rpm                  
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395273/x86_64/main/release/saned-1.0.24-7-rosa2014.1.x86_64.rpm                          
устанавливается saned-1.0.24-7-rosa2014.1.x86_64.rpm lib64sane1-1.0.24-7-rosa2014.1.x86_64.rpm sane-backends-1.0.24-7-rosa2014.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ###################################################################################################################
      1/3: lib64sane1            ###################################################################################################################
      2/3: sane-backends         ###################################################################################################################
useradd: пользователь «saned» уже существует
      3/3: saned                 ###################################################################################################################
      1/3: удаляется saned-1.0.24-6.x86_64
                                 ###################################################################################################################
      2/3: удаляется sane-backends-1.0.24-6.x86_64
                                 ###################################################################################################################
      3/3: удаляется lib64sane1-1.0.24-6.x86_64
                                 ###################################################################################################################
[root@r5-64 ~]#
Comment 6 FirstLevel 2015-01-28 16:27:24 MSK
I have no see any errors
Comment 7 Vladimir Potapov 2015-01-29 18:36:56 MSK
sane-1.0.24-7
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395272/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2395273/x86_64/main/release/
*************************** Advisory ************************
Fix saned postscripts to avoid error during package installation and update.
*************************************************************
QA Verified